Skip to main content
PATCH
/
dev
/
v1
/
resellers
/
{id}
Update a reseller
curl --request PATCH \
  --url https://api.shoppex.io/dev/v1/resellers/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "custom_commission_percent": 123,
  "custom_wholesale_discount_percent": 123,
  "purchase_limit_daily": 123,
  "purchase_limit_monthly": 123,
  "product_ids": [
    "<string>"
  ],
  "product_access": [
    {
      "product_id": "<string>",
      "commission_percent_override": 123,
      "wholesale_price_override": 123,
      "auto_fulfilled_enabled": true,
      "min_resale_price": 123,
      "max_resale_price": 123,
      "min_quantity": 123,
      "max_quantity": 123
    }
  ]
}
'
{
  "data": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.shoppex.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use your Shoppex API key in the Authorization header.

Path Parameters

id
string
required

Body

mode
Available options:
AFFILIATE
custom_commission_percent
number | null
custom_wholesale_discount_percent
number | null
purchase_limit_daily
number | null
purchase_limit_monthly
number | null
product_ids
string[]
product_access
object[]

Response

Successful response

data
object
required